summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmil Velikov <emil.l.velikov@gmail.com>2015-03-09 12:00:52 +0000
committerAlan Coopersmith <alan.coopersmith@oracle.com>2022-07-24 14:22:02 -0700
commit9f8dbe86f0b11300fec764957a16891af2edb456 (patch)
treeafa230274b69460403fe5b3346fadeaf5a9c586c
parentc52eaa7fbb159ab283c2400772ae60cb8678756c (diff)
downloadxcb-util-9f8dbe86f0b11300fec764957a16891af2edb456.tar.gz
autogen.sh: use quoted string variables
Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent fall-outs, when they contain space. Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com> Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net> Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net> Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
-rwxr-xr-xautogen.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/autogen.sh b/autogen.sh
index 670514f..d15c0fb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,10 +1,10 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
# If this is a git checkout, verify that the submodules are initialized,
# otherwise autotools will just fail with an unhelpful error message.
@@ -22,8 +22,8 @@ then
fi
autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
if test -z "$NOCONFIGURE"; then
- exec $srcdir/configure "$@"
+ exec "$srcdir"/configure "$@"
fi